/*var start = moment().subtract(29, 'days');
var end = moment();
 
$('input[name="daterange"]').daterangepicker({
    locale: {
      format: 'DD/MM/YYYY',
      applyLabel: 'Aplicar',
        cancelLabel: 'Cancelar',
        fromLabel: 'De',
        toLabel: 'Até',
        customRangeLabel: 'Personalizado',
        daysOfWeek: [
            'Dom',
            'Seg',
            'Ter',
            'Qua',
            'Qui',
            'Sex',
            'Sáb'
        ],
        monthNames: [
            'Janeiro',
            'Fevereiro',
            'Março',
            'Abril',
            'Maio',
            'Junho',
            'Julho',
            'Agosto',
            'Setembro',
            'Outubro',
            'Novembro',
            'Dezembro'
        ],
    },
    startDate: start,
    endDate: end,
    ranges: {
       'Hoje': [moment(), moment()],
       'Ontem': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
       'Ultimos 7 Dias': [moment().subtract(6, 'days'), moment()],
       'Ultimos 30 Dias': [moment().subtract(29, 'days'), moment()],
       'Mes Atual': [moment().startOf('month'), moment().endOf('month')],
       'Ultimo Mes': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
    }
});

$('.btn-pesquisar-data-interesse').on("click", function(){
    console.log($('#daterange').val());
});

$.fn.dataTable.ext.search.push(
    function( settings, data, dataIndex ) {
        var date_range = $('#daterange').val();
        var myarr = date_range.split(" - ");
        var min = myarr[0];
        var max = myarr[1];
        var data = parseFloat( data[9] ) || 0; // use data for the date column
 
        if ( ( isNaN( min ) && isNaN( max ) ) ||
             ( isNaN( min ) && data <= max ) ||
             ( min <= data   && isNaN( max ) ) ||
             ( min <= data   && data <= max ) )
        {
            return true;
        }
        return false;
    }
);

$(document).ready(function() {
    var table = $('#historico_interesse_table').DataTable();
     
    // Event listener to the two range filtering inputs to redraw on input
    $('#daterange').keyup( function() {
        table.draw();
    } );
} );*/

/*$(window).on("load", function() {

console.log('push_notification');
            (function(d, t) {
                    var g = d.createElement(t),
                    s = d.getElementsByTagName(t)[0];
                    g.src = "https://cdn.pushalert.co/integrate_c74ae55fc5e90d6933fffb75bb904803.js";
                    s.parentNode.insertBefore(g, s);
            }(document, "script"));

        console.log('clicou');
        (pushalertbyiw = window.pushalertbyiw || []).push(['onReady', onPAReady]);

        function onPAReady() {

            $sub = PushAlertCo.getSubsInfo();

            //CASO NÃO INSCRITO ELE FORÇA, DEPOIS ENVIA
            var isSafari = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
            if(isSafari != true){
                if($sub.status != "subscribed"){

                    PushAlertCo.forceSubscribe();
                    $sub = PushAlertCo.getSubsInfo();
                }
            }

            if($sub.status == "subscribed"){

                $.ajax({
                    url: base_url + "comdono/imovel/save_push_alert",
                    dataType: "json", 
                    type: "POST",
                    data: $sub,
                    success: function(retorno) {
                        console.log(retorno);
                    }
                });
            }


            console.log($sub); //You can call this method to get the subscription status of the subscriberPushAlertCo.getSubsInfo(); //You can call this method to get the subscription status of the subscriber
        }
});*/


$(window).on('load', function(){
    $.ajax({
    		url: base_url+"atendimento/ajax/incorporadora_ajax/getFilaAtentimento",
    		dataType: 'json',
    		type: 'POST',
    		data: [],
    		success: function(retorno)
    		{	
    		    if(retorno.valid == true)
    		    {
    		        $('.filaatendimento').append(retorno.fila);
    		        console.log(retorno);
    		    }
    		    else
    		    {
                    console.log(retorno);
    		    }
    		    
    		}
    	});
    	
    	
    	//$('.tb_historico').DataTable();
});

/*$(document).ready(function() {
    iniDataTable();
    //$('.tb_historico').DataTable();
});*/

$('.btn-filtrar').on('click', function(e){
    e.preventDefault();
    console.log(this);
    
    $data = get_form('.form-pesquisa-filtro');
    
    $.ajax({
    		url: base_url+"atendimento/ajax/incorporadora_ajax/getFiltroHistorico",
    		dataType: 'json',
    		type: 'POST',
    		data: $data,
    		success: function(retorno)
    		{	
                if(retorno.valid == true)
                {
                    //$('.tb-result').html('');
                    //$('.tb-result').append(retorno.tb);
                    $('.tb-original').hide();
                    $('.tb-paraguay').html('');
                    $('.tb-paraguay').append(retorno.tb);
                    $('.tb-paraguay').show();
                    $('.btn-limpar-filtros').show();
                    console.log(retorno);
                }
                else
                {
                    console.log(retorno);
                }
                
            }
        });
});

$('.btn-limpar-filtros').on('click', function(){
    $('.tb-original').show();
    $('.tb-paraguay').html('');
    $('.tb-paraguay').hide();
    $(this).hide();
});

/*$('.btn-start-atendimento').on('click', function(){
    
    console.log('clicou');
    
    $data = {'id_origem': $(this).data('id_origem'), 'origem': $(this).data('origem')};
    
    $.ajax({
		url: base_url+"atendimento/ajax/incorporadora_ajax/proxFilaAtendimento",
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        console.log(retorno);
		    }
		    else
		    {
                console.log(retorno);
		    }
		    
		}
	});
});*/

/*function startFilaAtendimento($origem, $id_origem){
    $data = {'id_origem': $id_origem, 'origem': $origem};
    
    $.ajax({
		url: base_url+"atendimento/ajax/incorporadora_ajax/proxFilaAtendimento",
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        console.log(retorno);
		        window.location.href = retorno.link;
		    }
		    else
		    {
		        console.log(retorno);
		        alert(retorno.msg);
		        location.reload();
		    }
		    
		}
	});
}*/

function atualizaCalendario()
{
    $data = get_form('.form-busca-agenda-geral');
    
    get_ajax($data, 'atendimento/ajax/incorporadora_ajax/getAgenda', 
        $sucess =>{
            $ssAgendas = $sucess.agendas;
            $leg = $sucess.legendas;
            $calendar.removeAllEvents();
            for(var i in $ssAgendas){
                
                var data = new Date($ssAgendas[i].data_hora_agendamento);
                //console.log($ssAgendas[i]);
                $calendar.addEvent({
                  id: i,
                  title: $ssAgendas[i].nome,
                  start: data,
                  allDay: false,
                  displayEventTime: true,
                  backgroundColor: '#' + $ssAgendas[i].empreendimento.bg_calendar.color,
                  extendedProps:{
                      dados: $ssAgendas[i]
                  }
                });
            }
            if($leg != []){
                $html = '';
                for(var cont in $leg){
                    console.log($leg[cont]);
                    $html += ' <div class="fc-daygrid-event-dot" style="border-color: #'+$leg[cont].color+'; margin:7.5px;"></div> &rarr; ' + $leg[cont].nome;
                    console.log($html);
                }
                
                $('.leg-calendar').html('<div class="row"><b>Legenda: </b> '+$html+' </div>');
            }
        }
    );
}

    var calendarEl = document.getElementById('calendar');
    $calendar = new FullCalendar.Calendar(calendarEl, {
        initialView: 'dayGridMonth',
        locale: 'pt-br',
        eventTimeFormat: { // like '14:30:00'
            hour: '2-digit',
            minute: '2-digit',
            meridiem: false
        },
        eventClick:  function(card, jsEvent, view) {
            //console.log(card.event.id);
            console.log(card.event.extendedProps.dados);
            $('#modalAgendaGeral').modal('show');
            $('#modalAgendaGeral').find('.modal-title').html('Agendamento '+card.event.extendedProps.dados.empreendimento.emp_nome_fantasia);
            
            $('input[name="nome"]').val('3');
            $('input[name="tipo_imovel"]').val('');
            $('input[name="origem_captura"]').val('');
            console.log(card.event.extendedProps.dados.nome);
            
            $('input[name="nome"]').val(card.event.extendedProps.dados.nome);
            $('input[name="tipo_imovel"]').val(card.event.extendedProps.dados.tipo_imovel);
            $('input[name="origem_captura"]').val(card.event.extendedProps.dados.empreendimento.emp_nome_fantasia);
            $('.btn-calendar-continue-atend').attr('href', base_url + 'atendimento/incorporadoras/atendimento/agendamento/' + card.event.extendedProps.dados.id_captura);
            //Retirar os agendamentos que estão em outros steps??? Negociação Pré Reserva e etc...
        },
    });
    


    
    $calendar.render();
    
    atualizaCalendario()

$('.btn-buscar-agenda').on('click',function(){
    
    
    atualizaCalendario();
    
    /*$data = get_form('.form-busca-agenda-geral');
    
    get_ajax($data, 'atendimento/ajax/incorporadora_ajax/getAgenda', 
        $ssAgendas =>{
            for(i in $ssAgendas){
                $dateSql  = $ssAgendas[i].data_hora_agendamento;
                $dateView = moment($dateSql, "YYYY-MM-DD").format("DD/MM/YYYY");
                $('.datepicker-days').find('[data-day="'+$dateView+'"]').addClass('agendado');
            }
        }
    );*/
});

/*var data = new Date('2021-01-10T00:00:00');

$calendar.addEvent({
  title: 'dynamic event',
  start: data,
  allDay: true
});*/

//Excluir o interesse da lista de interesses DASHBOARD
$('#historico_interesse_table').on('click', '.btn_excluir_interesse' , function(e){
e.preventDefault();

if(confirm("Você realmente quer excluir esse Interesse?")){
    $data = {'id_interesse':$(this).data('interesse')};
    console.log($data);
    get_ajax($data, 'atendimento/ajax/Incorporadora_ajax/excluirInteresse',
    success => {
        
        if(success.success == true){        
            
            location.reload();
            
        }
    });
}
});

//Abrir a modal de editar interesse
$('#historico_interesse_table').on('click', '.btn_editar_interesse' , function(e){
e.preventDefault();
   $data = $(this).data('interesse');
   console.log($data);
   $('.edit_interesse_id_interesse').val($data.id_interesse);
   $('.edit_interesse_id_cadastro').val($data.pessoa.id_cadastro);
   $('.edit_interesse_id_captura').val($data.id_captura);
   $('.edit_interesse_tipo_interesse').val($data.tipo_interesse);
   $('.edit_interesse_tipo_imovel').val($data.tipo_imovel);
   $('.edit_interesse_quartos').val($data.quartos);
   $('.edit_interesse_banheiro').val($data.banheiro);
   $('.edit_interesse_vagas').val($data.vagas);
   $('.edit_interesse_faixa_preco_inicio').val($data.faixa_preco_inicio);
   $('.edit_interesse_faixa_preco_fim').val($data.faixa_preco_fim);
   $('.edit_interesse_descricao').val($data.descricao);
   var bairro = [];
   $data.bairros.forEach(myFunction);
   function myFunction(item, index) {
       bairro.push(item.bairro);
   }
   //console.log(bairro);
   $('.edit_interesse_bairro').val(bairro).trigger('change');
   
   var tipo_emp = [];
   $data.tipo_emp.forEach(myFunction2);
   function myFunction2(item, index) {
       tipo_emp.push(item.tipo_emp);
   }
   //console.log(bairro);
   $('.tipo_emp_editar_interesse').val(tipo_emp).trigger('change');
   
   $('#editInteresseModal').modal('show');
   
   
});

//Coloca um select2 no campo bairro e no tipo de empreendimento do cliente do editar interesse
$(document).ready(function() {
    $('.bairro_editar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
    $('.tipo_emp_editar_interesse').select2({
        width: '100%',
        language: "pt-BR",
    });
});

//Da update do Interesse
$('.editInteresse').on('click',function(){
    loadButton($(this));
    $data = getForm($('.form-edit-interesse'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/editarInteresse',
    success => {
        
        if(success.success == true){        
            $(".editInteresse").prop("disabled",true);
            
            $('.result_edit_interesse').html('');
            $('.result_edit_interesse').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
            setTimeout(function() {
                    location.reload();
                }, 1000);
            
        }else{
            
            $('.result_edit_interesse').html('');
            $('.result_edit_interesse').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});


//Carregar máscara de cpf, telefone e data de nascimento para o adicionar novo usuário
$('#novo_cpf').inputmask({
            mask: ["999.999.999-99"]
});

$('#novo_cpfconj').inputmask({
            mask: ["999.999.999-99"]
});

$('#novo_telefone').inputmask({
            mask: ["(99) 99999-9999"]
});

$('#novo_telefoneconj').inputmask({
            mask: ["(99) 99999-9999"]
});

$('#novo_data_nascimento').inputmask({
            mask: ["99/99/9999"]
});


//Carregar máscara de valor monetário R$ para a Renda Familiar do adicionar novo usuário
$("#novo_renda_familiar").inputmask("currency", {
  autoUnmask: true,
  radixPoint: ",",
  groupSeparator: ".",
  allowMinus: false,
  prefix: "R$ ",
  digits: 2,
  digitsOptional: false,
  rightAlign: false,
  unmaskAsNumber: true
});

//Da update do Interesse
$('.btn-adicionar-novo-usuario').on('click',function(){

    loadButton($(this));
    $data = getForm($('.form-modal-adicionar-usuario'));
    
    get_ajax_($data, 'atendimento/ajax/Incorporadora_ajax/addNovoUsuario',
    success => {
        
        if(success.success == true){        
            $(".btn-adicionar-novo-usuario").prop("disabled",true);
            
            $('.resultado_novo_usuario').html('');
            $('.resultado_novo_usuario').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
            
            setTimeout(function() {
                    window.location.href = success.url;
                }, 1500);
            
        }else{
            
            $('.resultado_novo_usuario').html('');
            $('.resultado_novo_usuario').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.txt+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
        }  
        
    });
    
});

//Recupera todas as unidades presentes no empreendimento escolhido e retorna o select delas
$('.novo_select_emp_add_cartao').on('change', function() {
  console.log($(this).val())
  $id_emp = {'id_emp': $(this).val()}
  
  get_ajax_($id_emp, 'atendimento/ajax/Incorporadora_ajax/getUnidade', 
    success =>{
        
        if(success.valid == true){  
            $('.novo_result_unidades').html('');
            console.log($('.novo_result_unidades').html(''));
            $('.novo_result_unidades').append(success.html);
        }else{
            $('.novo_result_unidades').html('');
            
        }
    },
    erro => {
        console.log(erro);
    });
  
  
  
});

//Colocar máscara de telefone nos telefones das listas dos portais

$('.telefone_wimoveis').inputmask({
            mask: ["(99) 99999-9999"]
});

$('.telefone_vivareal').inputmask({
            mask: ["(99) 99999-9999"]
});

$('.telefone_zap').inputmask({
            mask: ["(99) 99999-9999"]
});

$('.telefone_grupozap').inputmask({
            mask: ["(99) 99999-9999"]
});

/*$(document).ready(function(){
    $('#lista_leads_wimoveis').DataTable( {
        "order": [[ 2, "desc" ]]
    } );
    
    $('#lista_leads_vivareal').DataTable( {
        "order": [[ 2, "desc" ]]
    } );
    
    $('#lista_leads_zap').DataTable( {
        "order": [[ 2, "desc" ]]
    } );
    
    $('#lista_leads_grupozap').DataTable( {
        "order": [[ 2, "desc" ]]
    } );
});*/

$(document).ready(function() {
    $('#novo-usuario-conjuje').hide();
    
});

$('.checkbox_novo_possui_conjuje').on('change', function(){
    
    if($(".novo_possui_conjuje_no").prop("checked") == true){
        $('#novo-usuario-conjuje').hide();
        $('#novo_nomeconj').val('');
        $('#novo_cpfconj').val('');
        $('#novo_telefoneconj').val('');
    }
    else{
        $('#novo-usuario-conjuje').show();
    }
    
});